//      

                                                                

                     
                           
                             
 

/**
 * Extracts the webpack callback error.
 */
module.exports = function extractError(
  pkg         ,
  err        ,
  stats              ,
) {
  if (err) {
    return `Fatal error attempting to bundle ${pkg.name}\n${err.toString()}`
  }
  if (stats.hasErrors()) {
    return stats.toString({ colors: true, chunks: false })
  }
  return undefined
}
